ch.dieseite.colladaloader

## Class ColladaLoader

- java.lang.Object
- - ch.dieseite.colladaloader.ColladaLoader

-     public class ColladaLoader
      extends java.lang.Object

  This is the entry class to create resp. load a collada file

  This source is free; you can redistribute it and/or modify it under the terms of the GNU General Public License and by nameing of the originally author

  Version:
    3.1
  Author:
    Markus Zimmermann http://www.die-seite.ch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColladaLoader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static void` | `deleteRecursive(java.io.File file)` deletes file and directories recursively (called after unzipping)
    `static ColladaModel` | `load(java.lang.String fileName, PApplet applet, java.util.Properties optionals)` Loads a file with endings ".kmz" or ".dae" from Processing's data path.
    `private static java.lang.String` | `readDOCkml(PApplet applet)` reads where to find the .dae file
    `private static void` | `unzip(java.lang.String filename, PApplet applet)` unzips files and directory structure from kmz to data folder

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColladaLoader

          public ColladaLoader()

  - ### Method Detail

    - #### load

          public static ColladaModel load(java.lang.String fileName,
                                          PApplet applet,
                                          java.util.Properties optionals)

      Loads a file with endings ".kmz" or ".dae" from Processing's data path. Following options is supported:

    - "option_no_texture" disable PImage loadings. Values is "true" or "false" (default)
    - "debuglevel" Print out what Loader is doing to console: Values is "4" = extreme details "3" = details, "2" = medium, "1" = abstract , "0" = none (default)
    - "LinkingSchema" dae import profile, Values is "Sketchup" (default) and "Blender"

Parameters:
  `filename` -
  `current` - sketchbook
  `options` - or null.
Returns:
  a Model with parsed Lines and Triangles

- #### unzip

      private static void unzip(java.lang.String filename,
                                PApplet applet)
                         throws java.io.IOException

  unzips files and directory structure from kmz to data folder
  Parameters:
    `kmz` - filename in data folder
  Throws:
    `java.io.IOException`

- #### readDOCkml

      private static java.lang.String readDOCkml(PApplet applet)

  reads where to find the .dae file
  Returns:
    a .dae file location as a relative path to data folder

- #### deleteRecursive

      private static void deleteRecursive(java.io.File file)
                                   throws java.io.FileNotFoundException

  deletes file and directories recursively (called after unzipping)
  Parameters:
    `file` -
  Throws:
    `java.io.FileNotFoundException`